Bug 248669 - update breaks selinux
update breaks selinux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 23:39 EDT by Ray Todd Stevens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 09:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Todd Stevens 2007-07-17 23:39:39 EDT
Description of problem:

I get error

libsepol.policydb_read: policydb version 21 does not match my version range 15-20
audit2why:  invalid binary policy /etc/selinux/targeted/policy/policy.21


When attempting to run audit2why

I also get 

Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 164, in ?
    serules.load(inputfd)
  File "/usr/lib/python2.4/site-packages/avc.py", line 358, in load
    self.translate(dict)
  File "/usr/lib/python2.4/site-packages/avc.py", line 396, in translate
    self.add_allow(AVC)
  File "/usr/lib/python2.4/site-packages/avc.py", line 441, in add_allow
    scontext = context(AVC["scontext"])
  File "/usr/lib/python2.4/site-packages/avc.py", line 53, in __init__
    self.role = con[1]
IndexError: list index out of range

When trying to run audit2allow

since I have run the latest updates.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.   load core 5
2.   update system
3.   run programs
  
Actual results:


Expected results:


Additional info:

selinux-policy-targeted-2.3.7-2.fc5
selinux-policy-2.3.7-2.fc5
policycoreutils-1.30.10-2.fc5
Comment 1 Daniel Walsh 2007-07-18 09:47:57 EDT
FC5 is no longer supported.  Please update to FC6 or fc7 

Note You need to log in before you can comment on or make changes to this bug.